GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Enumerations
gridfire::expectations Namespace Reference

## Classes
struct | EngineError
struct | EngineIndexError
struct | StaleEngineError

## Enumerations
enum class | EngineErrorTypes { FAILURE , INDEX , STALE }
enum class | StaleEngineErrorTypes { SYSTEM_RESIZED }

## Enumeration Type Documentation

## ◆ EngineErrorTypes

enum class gridfire::expectations::EngineErrorTypes
| strong

Enumerator
FAILURE |
INDEX |
STALE |

Definition at line 7 of file expected_engine.h.

## ◆ StaleEngineErrorTypes

enum class gridfire::expectations::StaleEngineErrorTypes
| strong

Enumerator
SYSTEM_RESIZED |

Definition at line 13 of file expected_engine.h.